## ros-dashing-rclpy 0.7.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rclpy C)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(rcl REQUIRED)
find_package(rcl_action REQUIRED)
find_package(rcl_yaml_param_parser REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)
find_package(rmw_implementation_cmake REQUIRED)

find_package(python_cmake_module REQUIRED)
find_package(PythonExtra MODULE REQUIRED)

set(_PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE}")

if(WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
  set(PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE_DEBUG}")
endif()

# enables using the Python extensions from the build space for testing
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/test_rclpy/__init__.py" "")

ament_python_install_package(${PROJECT_NAME})

function(set_properties _targetname _build_type)
  set_target_properties(${_targetname} PROPERTIES
    PREFIX ""
    LIBRARY_OUTPUT_DIRECTORY${_build_type} "${CMAKE_CURRENT_BINARY_DIR}/test_${PROJECT_NAME}"
    RUNTIME_OUTPUT_DIRECTORY${_build_type} "${CMAKE_CURRENT_BINARY_DIR}/test_${PROJECT_NAME}"
    OUTPUT_NAME "_${_targetname}${PythonExtra_EXTENSION_SUFFIX}"
    SUFFIX "${PythonExtra_EXTENSION_EXTENSION}")
endfunction()

# Only build the library if a C typesupport exists
get_rmw_typesupport(typesupport_impls "rmw_implementation" LANGUAGE "c")
if(typesupport_impls STREQUAL "")
  message(STATUS "Skipping rclpy because no C typesupport library was found.")
  return()
endif()

function(configure_python_c_extension_library _library_name)
  set_properties(${_library_name} "")
  if(WIN32)
    set_properties(${_library_name} "_DEBUG")
    set_properties(${_library_name} "_MINSIZEREL")
    set_properties(${_library_name} "_RELEASE")
    set_properties(${_library_name} "_RELWITHDEBINFO")
  endif()

  target_link_libraries(${_library_name}
    ${PythonExtra_LIBRARIES}
  )

  ament_target_dependencies(${_library_name}
    "PythonExtra"
  )

  install(TARGETS ${_library_name}
    DESTINATION "${PYTHON_INSTALL_DIR}/${PROJECT_NAME}"
  )
endfunction()

add_library(rclpy_common
  SHARED src/rclpy_common/src/common.c
)
target_link_libraries(rclpy_common
  ${PythonExtra_LIBRARIES}
)
target_include_directories(rclpy_common
  PUBLIC
  src/rclpy_common/include
)
ament_target_dependencies(rclpy_common
  "rcl"
  "rmw"
  "PythonExtra"
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(rclpy_common PRIVATE "RCLPY_COMMON_BUILDING_DLL")

install(TARGETS rclpy_common
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

add_library(
  rclpy
  SHARED src/rclpy/_rclpy.c
)
target_link_libraries(rclpy
  rclpy_common
)

configure_python_c_extension_library(rclpy)
ament_target_dependencies(rclpy
  "rcl"
  "rcl_yaml_param_parser"
  "rcutils"
)

add_library(
  rclpy_action
  SHARED src/rclpy/_rclpy_action.c
)
target_link_libraries(rclpy_action
  rclpy_common
)

configure_python_c_extension_library(rclpy_action)
ament_target_dependencies(rclpy_action
  "rcl"
  "rcl_action"
  "rcutils"
)

# Logging support provided by rcutils
add_library(
  rclpy_logging
  SHARED src/rclpy/_rclpy_logging.c
)
configure_python_c_extension_library(rclpy_logging)
ament_target_dependencies(rclpy_logging
  "rcutils"
)

# Signal handling library
add_library(
  rclpy_signal_handler
  SHARED src/rclpy/_rclpy_signal_handler.c
)
configure_python_c_extension_library(rclpy_signal_handler)
ament_target_dependencies(rclpy_signal_handler
  "rcl"
  "rcutils"
)

# Pycapsule handling library
add_library(
  rclpy_pycapsule
  SHARED src/rclpy/_rclpy_pycapsule.c
)
configure_python_c_extension_library(rclpy_pycapsule)

if(NOT WIN32)
  ament_environment_hooks(
    "${ament_cmake_package_templates_ENVIRONMENT_HOOK_LIBRARY_PATH}"
  )
endif()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_pytest REQUIRED)

  rosidl_generator_py_get_typesupports(_typesupport_impls)
  ament_index_get_prefix_path(ament_index_build_path SKIP_AMENT_PREFIX_PATH)
  # Get the first item (it will be the build space version of the build path).
  list(GET ament_index_build_path 0 ament_index_build_path)
  if(WIN32)
    # On Windows prevent CMake errors and prevent it being evaluated as a list.
    string(REPLACE "\\" "/" ament_index_build_path "${ament_index_build_path}")
  endif()
  if(NOT _typesupport_impls STREQUAL "")

  # Run each test in its own pytest invocation to isolate any global state in rclpy
  set(_rclpy_pytest_tests
    test/test_action_client.py
    test/test_action_graph.py
    test/test_action_server.py
    test/test_callback_group.py
    test/test_client.py
    test/test_clock.py
    test/test_create_node.py
    test/test_create_while_spinning.py
    test/test_destruction.py
    test/test_executor.py
    test/test_expand_topic_name.py
    test/test_guard_condition.py
    test/test_handle.py
    test/test_init_shutdown.py
    test/test_logging.py
    test/test_messages.py
    test/test_node.py
    test/test_parameter.py
    test/test_parameters_callback.py
    test/test_qos.py
    test/test_qos_event.py
    test/test_task.py
    test/test_time_source.py
    test/test_time.py
    test/test_timer.py
    test/test_topic_or_service_is_hidden.py
    test/test_utilities.py
    test/test_validate_full_topic_name.py
    test/test_validate_namespace.py
    test/test_validate_node_name.py
    test/test_validate_topic_name.py
    test/test_waitable.py
  )

  foreach(_test_path ${_rclpy_pytest_tests})
    get_filename_component(_test_name ${_test_path} NAME_WE)
    ament_add_pytest_test(${_test_name} ${_test_path}
      PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE}"
      APPEND_ENV AMENT_PREFIX_PATH=${ament_index_build_path}
        PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}
      TIMEOUT 60
    )
  endforeach()
  endif()
endif()
set(PYTHON_EXECUTABLE "${_PYTHON_EXECUTABLE}")

ament_package()

=== debian/changelog ===
ros-dashing-rclpy (0.7.11-1bionic) bionic; urgency=high

  * Fix moved troubleshooting url. (#590 <https://github.com/ros2/rclpy/issues/590>)
  * Improve error message if rclpy C extensions are not found. (#592 <https://github.com/ros2/rclpy/issues/592>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Fri, 10 Jul 2020 04:00:00 -0000

ros-dashing-rclpy (0.7.10-1bionic) bionic; urgency=high

  * Remove f-strings to restore Python 3.5 compatibility. (#483 <https://github.com/ros2/rclpy/issues/483>)
    The regression was accidentally introduced in #475 <https://github.com/ros2/rclpy/issues/475>.
  * Contributors: Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Sun, 12 Dec 2010 05:00:00 -0000

ros-dashing-rclpy (0.7.9-1bionic) bionic; urgency=high

  * Added guard against unexpected action responses. (#475 <https://github.com/ros2/rclpy/issues/475>)
    Fixes https://github.com/ros2/demos/issues/417
  * Future invokes done callbacks when done (#477 <https://github.com/ros2/rclpy/issues/477>)
  * Added missing exec depend on rcl_interfaces. (#472 <https://github.com/ros2/rclpy/issues/472>)
  * Fixed import to use builtin_interfaces.msg. (#473 <https://github.com/ros2/rclpy/issues/473>)
  * Fixed sending of feedback callbacks in send_goal() of action client. (#466 <https://github.com/ros2/rclpy/issues/466>)
  * Contributors: Dirk Thomas, Jacob Perron, Steven! Ragnarök

 -- William Woodall <william@osrfoundation.org>  Tue, 10 Dec 2019 05:00:00 -0000

ros-dashing-rclpy (0.7.8-1bionic) bionic; urgency=high

  * Updated to accept tuples as parameter arrays. (#442 <https://github.com/ros2/rclpy/issues/442>)
  * Fixed uncaught exception from user execute callback in Action Server. (#439 <https://github.com/ros2/rclpy/issues/439>)
    Fixes #296 <https://github.com/ros2/rclpy/issues/296>.
  * Contributors: Christian Rauch, Jacob Perron, Steven! Ragnarök

 -- William Woodall <william@osrfoundation.org>  Fri, 11 Oct 2019 04:00:00 -0000

ros-dashing-rclpy (0.7.7-1bionic) bionic; urgency=high

  * Fixed Python 3.5 compatibility by removing unsupported type hints. (#414 <https://github.com/ros2/rclpy/issues/414>)
  * Contributors: Steven! Ragnarök

 -- William Woodall <william@osrfoundation.org>  Fri, 06 Sep 2019 04:00:00 -0000

ros-dashing-rclpy (0.7.6-1bionic) bionic; urgency=high

  * Fix missing raise (#390 <https://github.com/ros2/rclpy/pull/390>)
  * Fix time conversion for big nanoseconds value (#384 <https://github.com/ros2/rclpy/pull/384>)
  * Contributors: Daniel Wang, Vinnam Kim

 -- William Woodall <william@osrfoundation.org>  Wed, 28 Aug 2019 04:00:00 -0000

ros-dashing-rclpy (0.7.5-1bionic) bionic; urgency=high

  * Updated to use params from node '/**' from parameter YAML file. (#399 <https://github.com/ros2/rclpy/issues/399>)
  * Updated to declare 'use_sim_time' when attaching node to time source. (#401 <https://github.com/ros2/rclpy/issues/401>)
  * Fixed an errant conversion to nsecs in executors timeout.` (#397 <https://github.com/ros2/rclpy/issues/397>)
  * Fixed parameter handling issues. (#394 <https://github.com/ros2/rclpy/issues/394>)
    * Fixing namespace expansion for declare_parameters. (#377 <https://github.com/ros2/rclpy/issues/377>)
    * Allowing parameter declaration without a given value. (#382 <https://github.com/ros2/rclpy/issues/382>)
  * Contributors: Juan Ignacio Ubeira, Scott K Logan

 -- William Woodall <william@osrfoundation.org>  Thu, 01 Aug 2019 04:00:00 -0000

ros-dashing-rclpy (0.7.4-1bionic) bionic; urgency=high

  * Fix API documentation related to ROS graph methods (#366 <https://github.com/ros2/rclpy/issues/366>)
  * Contributors: Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Wed, 12 Jun 2019 04:00:00 -0000

ros-dashing-rclpy (0.7.3-1bionic) bionic; urgency=high

  * Rename parameter options (#363 <https://github.com/ros2/rclpy/issues/363>)
    * rename the initial_parameters option to parameter_overrides
    * rename automatically_declare_initial_parameters to automatically_declare_parameters_from_overrides
    * update allow_undeclared_parameters docs
  * Consolidate create_publisher arguments (#362 <https://github.com/ros2/rclpy/issues/362>)
  * Enforcing parameter ranges. (#357 <https://github.com/ros2/rclpy/issues/357>)
  * Initialize QoSProfile with values from rmw_qos_profile_default (#356 <https://github.com/ros2/rclpy/issues/356>)
  * Contributors: Dirk Thomas, Emerson Knapp, Juan Ignacio Ubeira, William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 29 May 2019 04:00:00 -0000

ros-dashing-rclpy (0.7.2-1bionic) bionic; urgency=high

  * Add convenience name translations for use by commandline utilities etc. (#352 <https://github.com/ros2/rclpy/issues/352>)
  * Wait for nodes to discover each other in test_action_graph.py (#354 <https://github.com/ros2/rclpy/issues/354>)
  * Destroy publishers after test is done (#355 <https://github.com/ros2/rclpy/issues/355>)
  * Create RLock() early to avoid exception at shutdown (#351 <https://github.com/ros2/rclpy/issues/351>)
  * Fix qos event argument being wrapped in list. It shouldn't have been (#349 <https://github.com/ros2/rclpy/issues/349>)
  * Parameter flexibility enhancements (#347 <https://github.com/ros2/rclpy/issues/347>)
  * Update troubleshooting reference to index.ros.org (#348 <https://github.com/ros2/rclpy/issues/348>)
  * Update test since unicode characters are allowed now (#346 <https://github.com/ros2/rclpy/issues/346>)
  * Parameter handling improvements. (#345 <https://github.com/ros2/rclpy/issues/345>)
  * Encourage users to always provide a QoS history depth (#344 <https://github.com/ros2/rclpy/issues/344>)
  * QoS - API and implementation for Liveliness and Deadline event callbacks (#316 <https://github.com/ros2/rclpy/issues/316>)
  * Ignore flake8 error 'imported but unused' (#343 <https://github.com/ros2/rclpy/issues/343>)


=== debian/control ===
Source: ros-dashing-rclpy
Section: misc
Priority: optional
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-dashing-ament-cmake, ros-dashing-ament-cmake-pytest, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-python-cmake-module, ros-dashing-rcl, ros-dashing-rcl-action, ros-dashing-rcl-yaml-param-parser, ros-dashing-rcutils, ros-dashing-rmw-implementation, ros-dashing-rmw-implementation-cmake, ros-dashing-rosidl-generator-py, ros-dashing-test-msgs, ros-dashing-unique-identifier-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rclpy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-ament-index-python, ros-dashing-builtin-interfaces, ros-dashing-rcl, ros-dashing-rcl-action, ros-dashing-rcl-interfaces, ros-dashing-rcl-yaml-param-parser, ros-dashing-rmw-implementation, ros-dashing-rosgraph-msgs, ros-dashing-unique-identifier-msgs, ros-dashing-ros-workspace
Description: Package containing the Python client.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-rclpy//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
